import type { Options } from '@/common/types/option';
import { CurrentOptionsRef, Value } from '@/common/types/select';
export type OptionsConfig = {
    options: Options | undefined;
    modelValue: Value | Value[];
    fieldTitle: string;
    fieldValue: string;
    withUndefined?: boolean;
    withNull?: boolean;
    nullTitle?: string;
};
export declare const useOptions: ({ options, modelValue, withUndefined, withNull, nullTitle, fieldTitle, fieldValue, }: OptionsConfig) => {
    currentOptions: import("vue").Ref<Map<any, any>>;
    nullOption: CurrentOptionsRef;
};
